if [ -x /usr/bin/update-mime-database ]; then
  /usr/bin/update-mime-database /usr/share/mime &> /dev/null
fi

if [ -x /usr/bin/update-desktop-database ]; then
  /usr/bin/update-desktop-database &> /dev/null
fi

if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache  -f -q /usr/share/icons/hicolor &> /dev/null
fi

( cd usr/lib ; rm -rf libmpeg3hv-1.5.0.so.1 )
( cd usr/lib ; ln -sf libmpeg3hv-1.5.0.so.1.0.0 libmpeg3hv-1.5.0.so.1 )
( cd usr/lib ; rm -rf libmpeg3hv.so )
( cd usr/lib ; ln -sf libmpeg3hv-1.5.0.so.1.0.0 libmpeg3hv.so )
( cd usr/lib ; rm -rf libquicktimehv-1.6.0.so.1 )
( cd usr/lib ; ln -sf libquicktimehv-1.6.0.so.1.0.0 libquicktimehv-1.6.0.so.1 )
( cd usr/lib ; rm -rf libquicktimehv.so )
( cd usr/lib ; ln -sf libquicktimehv-1.6.0.so.1.0.0 libquicktimehv.so )
( cd usr/lib ; rm -rf libguicast.so.1 )
( cd usr/lib ; ln -sf libguicast.so.1.0.0 libguicast.so.1 )
( cd usr/lib ; rm -rf libguicast.so )
( cd usr/lib ; ln -sf libguicast.so.1.0.0 libguicast.so )
